Qyra
ReferenceOrganizations

Update color palette

Update a color palette

PATCH/api/v1/org/color-palettes/{colorPaletteUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
colorPaletteUuidstringYes

Request body

{
  "darkColors": [
    "string"
  ],
  "colors": [
    "string"
  ],
  "name": "string",
  "uuid": "string"
}

Responses

200 — Ok

{
  "results": {
    "createdAt": "2024-01-01T00:00:00.000Z",
    "darkColors": [
      "string"
    ],
    "colors": [
      "string"
    ],
    "name": "string",
    "organizationUuid": "string",
    "colorPaletteUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}